///////////////////////////////////////////////////////////////////////////////
// VXPLib example
//
// Using Tooltips in C++ Builder
//
// Last Modified on 23/02/2003
//
// This example is an intellectual property of Vitaly Tomilov
//
// For updates and more information visit www.tooltips.net
///////////////////////////////////////////////////////////////////////////////

//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "UsingTooltips.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "VXPLibrary_OCX"
#pragma resource "*.dfm"
TMainForm *MainForm;
//---------------------------------------------------------------------------
__fastcall TMainForm::TMainForm(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::FormCreate(TObject *Sender)
{
  ///////////////////////////////////////////////////////////////////
  // Adding all the tooltips.
  // Contents for tooltips is stored in the resource file.
  // For simplicity you also can pass all the text right in the code.
  ///////////////////////////////////////////////////////////////////

  // Attaching tooltips using Command ID-s:
  tt->commands->Add(0, WideString("<txt res='qhtml:idr_new'>").Detach());
  tt->commands->Add(1, WideString("<txt res='qhtml:idr_open'>").Detach());
  tt->commands->Add(3, WideString("<txt res='qhtml:idr_info'>").Detach());
  tt->commands->Add(11, WideString("<txt res='qhtml:idr_exit'>").Detach());

  // Attaching tooltips using window handles;
  // Note: If during installation of VXPLib package the compiler
  // will rename property 'windows' into 'Windoz' just go to the definition
  // of this property, and rename it manually. Otherwise use Windoz instead.
  tt->windows->Add((long)CloseButton->Handle, WideString("<txt res='qhtml:idr_close'>").Detach());
  tt->windows->Add((long)StaticTextControl->Handle, WideString("<txt res='qhtml:idr_static'>").Detach());
  tt->windows->Add((long)MainForm->Handle, WideString("<txt res='qhtml:idr_main'>").Detach());

   // Adding the toolbar class used in the application.
   // To find out what class the toolbar is we used the debug mode
   // of the tooltip manager set as follows:
   // tt.DebugMode = true;
   tt->AddToolbarClass(WideString("TToolBar").Detach());
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::ToolButton4Click(TObject *Sender)
{
   MainForm->Close();
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::CloseButtonClick(TObject *Sender)
{
   MainForm->Close();
}
//---------------------------------------------------------------------------

